using System;
using Newtonsoft.Json;

namespace Magify.Model
{
    internal class MailingStatusMappingEvent : IAnalyticsEvent
    {
        [JsonProperty("email")]
        public string Email { get; init; }

        [JsonProperty("original_app_version")]
        public string AppVersion { get; init; }

        [JsonProperty("timestamp")]
        public double Timestamp { get; init; } = TimestampExtensions.UtcNowTimestamp;

        /// <remarks>
        /// For deserialization
        /// </remarks>
        public MailingStatusMappingEvent()
        {
        }
    }
}